Get cards with due dates for a calendar view
curl --request GET \
--url https://bhokan.com/api/v1/workspaces/{workspacePublicId}/calendar \
--header 'Authorization: Bearer <token>'import requests
url = "https://bhokan.com/api/v1/workspaces/{workspacePublicId}/calendar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://bhokan.com/api/v1/workspaces/{workspacePublicId}/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://bhokan.com/api/v1/workspaces/{workspacePublicId}/calendar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://bhokan.com/api/v1/workspaces/{workspacePublicId}/calendar"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://bhokan.com/api/v1/workspaces/{workspacePublicId}/calendar")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://bhokan.com/api/v1/workspaces/{workspacePublicId}/calendar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"publicId": "<string>",
"title": "<string>",
"cardNumber": 123,
"dueDate": "<string>",
"completedAt": "<string>",
"priority": "low",
"boardPublicId": "<string>",
"boardName": "<string>",
"listName": "<string>"
}
]{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Boards
Get cards with due dates for a calendar view
Retrieves all cards across a workspace’s boards with a due date inside the month, week or day the anchor falls in. The legacy month parameter is still accepted and is equivalent to a month view anchored on the first of that month.
GET
/
workspaces
/
{workspacePublicId}
/
calendar
Get cards with due dates for a calendar view
curl --request GET \
--url https://bhokan.com/api/v1/workspaces/{workspacePublicId}/calendar \
--header 'Authorization: Bearer <token>'import requests
url = "https://bhokan.com/api/v1/workspaces/{workspacePublicId}/calendar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://bhokan.com/api/v1/workspaces/{workspacePublicId}/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://bhokan.com/api/v1/workspaces/{workspacePublicId}/calendar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://bhokan.com/api/v1/workspaces/{workspacePublicId}/calendar"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://bhokan.com/api/v1/workspaces/{workspacePublicId}/calendar")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://bhokan.com/api/v1/workspaces/{workspacePublicId}/calendar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"publicId": "<string>",
"title": "<string>",
"cardNumber": 123,
"dueDate": "<string>",
"completedAt": "<string>",
"priority": "low",
"boardPublicId": "<string>",
"boardName": "<string>",
"listName": "<string>"
}
]{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
12Query Parameters
Minimum string length:
12Minimum string length:
12Minimum string length:
1Available options:
low, medium, high, urgent, none Available options:
month, week, day Pattern:
^\d{4}-\d{2}-\d{2}$Pattern:
^\d{4}-(0[1-9]|1[0-2])$Response
Successful response